summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/menubox6
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/menubox6')
-rwxr-xr-xcontrib/dialog/samples/menubox628
1 files changed, 28 insertions, 0 deletions
diff --git a/contrib/dialog/samples/menubox6 b/contrib/dialog/samples/menubox6
new file mode 100755
index 0000000..afcc90d
--- /dev/null
+++ b/contrib/dialog/samples/menubox6
@@ -0,0 +1,28 @@
+#!/bin/sh
+# $Id: menubox6,v 1.8 2010/01/13 10:20:03 tom Exp $
+# example showing the --colors option
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+$DIALOG --clear --item-help --title "MENU BOX" --colors "$@" \
+ --menu "Hi, this is a \Zumenu\Zn box. You can use this to \n\
+present a list of choices for the user to \n\
+choose. If there are more items than can fit \n\
+on the screen, the menu will be scrolled. \n\
+You can use the \Z4UP/DOWN\Zn arrow keys, the first \n\
+letter of the choice as a hot key, or the \n\
+\Z2number\Zn keys 1-9 to choose an option.\n\
+Try it now!\n\n\
+ Choose the OS you like:" 20 51 4 \
+ "Linux" "The Great Unix Clone for \Zu386/486" "Why use \ZbLinux?" \
+ "NetBSD" "Another free Unix Clone for \Zu386/486" "Or \ZbNetBSD?" \
+ "OS/2" "IBM OS/2" "aka \"Warp\"" \
+ "WIN NT" "Microsoft Windows NT" "hmm" \
+ "PCDOS" "IBM PC \ZrDOS" "clone of a clone" \
+ "MSDOS" "Microsoft \ZrDOS" "\ZbDOS\Zn: \Zb\Z3D\Znisk \Zb\Z3O\Znperating \Zb\Z3S\Znystem, originally for an IBM contract, hence using the same jargon" 2> $tempfile
+
+retval=$?
+
+. ./report-tempfile
OpenPOWER on IntegriCloud